GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.Volume Class Reference

## Public Member Functions
String | getWidth ()
void | setWidth (String value)
String | getHeight ()
void | setHeight (String value)
String | getLength ()
void | setLength (String value)
String | getScannerStation ()
void | setScannerStation (String value)
VolumeType | getVolumetricType ()
void | setVolumetricType (VolumeType value)

## Protected Attributes
String | width
String | height
String | length
String | scannerStation
VolumeType | volumetricType

## Detailed Description

Volumetric data attributes

Java class for Volume complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Volume">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="Width" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Height" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Length" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="ScannerStation" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="VolumetricType" type="{http://fpcs.gls-group.eu/v1/Common}VolumeType"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 45 of file Volume.java.

## Member Function Documentation

## ◆ getHeight()

String eu.gls_group.fpcs.v1.common.Volume.getHeight | ( |  | ) |

Gets the value of the height property.

Returns
  possible object is String

Definition at line 91 of file Volume.java.

## ◆ getLength()

String eu.gls_group.fpcs.v1.common.Volume.getLength | ( |  | ) |

Gets the value of the length property.

Returns
  possible object is String

Definition at line 115 of file Volume.java.

## ◆ getScannerStation()

String eu.gls_group.fpcs.v1.common.Volume.getScannerStation | ( |  | ) |

Gets the value of the scannerStation property.

Returns
  possible object is String

Definition at line 139 of file Volume.java.

## ◆ getVolumetricType()

VolumeType eu.gls_group.fpcs.v1.common.Volume.getVolumetricType | ( |  | ) |

Gets the value of the volumetricType property.

Returns
  possible object is VolumeType

Definition at line 163 of file Volume.java.

## ◆ getWidth()

String eu.gls_group.fpcs.v1.common.Volume.getWidth | ( |  | ) |

Gets the value of the width property.

Returns
  possible object is String

Definition at line 67 of file Volume.java.

## ◆ setHeight()

void eu.gls_group.fpcs.v1.common.Volume.setHeight | ( | String | value | ) |

Sets the value of the height property.

Parameters

  value | allowed object is String

Definition at line 103 of file Volume.java.

## ◆ setLength()

void eu.gls_group.fpcs.v1.common.Volume.setLength | ( | String | value | ) |

Sets the value of the length property.

Parameters

  value | allowed object is String

Definition at line 127 of file Volume.java.

## ◆ setScannerStation()

void eu.gls_group.fpcs.v1.common.Volume.setScannerStation | ( | String | value | ) |

Sets the value of the scannerStation property.

Parameters

  value | allowed object is String

Definition at line 151 of file Volume.java.

## ◆ setVolumetricType()

void eu.gls_group.fpcs.v1.common.Volume.setVolumetricType | ( | VolumeType | value | ) |

Sets the value of the volumetricType property.

Parameters

  value | allowed object is VolumeType

Definition at line 175 of file Volume.java.

## ◆ setWidth()

void eu.gls_group.fpcs.v1.common.Volume.setWidth | ( | String | value | ) |

Sets the value of the width property.

Parameters

  value | allowed object is String

Definition at line 79 of file Volume.java.

## Member Data Documentation

## ◆ height

String eu.gls_group.fpcs.v1.common.Volume.height
| protected

Definition at line 50 of file Volume.java.

## ◆ length

String eu.gls_group.fpcs.v1.common.Volume.length
| protected

Definition at line 52 of file Volume.java.

## ◆ scannerStation

String eu.gls_group.fpcs.v1.common.Volume.scannerStation
| protected

Definition at line 54 of file Volume.java.

## ◆ volumetricType

VolumeType eu.gls_group.fpcs.v1.common.Volume.volumetricType
| protected

Definition at line 57 of file Volume.java.

## ◆ width

String eu.gls_group.fpcs.v1.common.Volume.width
| protected

Definition at line 48 of file Volume.java.

The documentation for this class was generated from the following file:

- Volume.java